curl --request GET \
--url https://api-stage.karmacheck.io/case/id/{caseId}/esig/{language} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-stage.karmacheck.io/case/id/{caseId}/esig/{language}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-stage.karmacheck.io/case/id/{caseId}/esig/{language}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"alreadyAck": false,
"title": "<div>Electronic Signature Consent</div>",
"body": "<p>e-signature - As part of the selection process at KarmaCheck, the "Company," you will need to consent to a background check electronically. By typing your name and clicking in the box below, you are consenting to receive any communications (legally required or otherwise) and all changes to such communications electronically. In order to use the website, you must provide at your own expense an Internet connected device that is compatible with the minimum requirements outlined below. You also confirm that your device will meet these specifications and requirements and will permit you to access and retain the communications electronically each time you access and use the website.</p><p><b>System Requirements to Access Information</b></p><p>To receive and view an electronic copy of the Communications you must have the following equipment and software:</p><ul><li>A personal computer or other device which is capable of accessing the Internet. Your access to this page verifies that your system/device meets these requirements.</li><li>A current version of Chrome, Firefox, or Safari, Internet web browser which supports security industry best practices for HTTPS encrypted communications, JavaScript, and cookies. Your access to this page verifies that your browser meets these requirements.</li></ul><p><b>System Requirements to Retain Information</b></p><p>To retain a copy, you must either have a printer connected to your personal computer or other device or, alternatively, the ability to save a copy through use of printing service or software such as Adobe Acrobat®. If you would like to proceed using paper forms, please choose option 2 below.</p><p><b>Withdrawal of Electronic Acceptance of Disclosures and Notices</b></p><p>You can also contact us to withdraw your consent to receive any future communications electronically, including if the system requirements described above change and you no longer possess the required system. If you withdraw your consent, we will terminate your use of the KarmaCheck, Inc. website and the services provided through the KarmaCheck, Inc. website.</p><p>To ensure that a signature is unique and to safeguard you against unauthorized use of your name, your IP address 130.176.213.149 has been recorded and will be stored along with your electronic signature. Please note that if you wish to submit your Disclosure and Authorization Forms electronically, KarmaCheck, Inc. requires that you include your social security number or user identification. All of your information will be encrypted and transmitted via our secure website.</p>",
"authorizationStatement": "<form><h3>CHOOSE ONE OF THE FOLLOWING OPTIONS:</h3><h4><label for='signatureTypeElectronic'>Option #1 - Electronic Signature</label></h4><input type='radio' id='signatureTypeElectronic' name='signatureType' value='electronic'/><label for='signatureTypeElectronic'>I, <input type='text' readonly='' id='electronicName' name='electronicName' value=''/><span>(type full name)</span>, consent to transacting electronically, including receiving legally required notices electronically. I understand that KarmaCheck, Inc. uses computer technology to ensure that my signed documents are not altered after submission. I agree to allow KarmaCheck, Inc. to validate my signed documents in this way.</label><h4><label for='signatureTypeManual'>Option #2 - Manual Signature (will delay your start date)</label></h4><input type='radio' id='signatureTypeManual' name='signatureType' value='manual'/><label for='signatureTypeManual'>I, <input type='text' readonly='' id='manualName' name='manualName' value=''/><span>(type full name)</span>, <em><strong>do not</strong></em> wish to electronically sign my documents. I will print out and sign paper documents and return them to the Company. I understand this will delay the selection process.</label></form>",
"authorizationObject": {
"header": "CHOOSE ONE OF THE FOLLOWING OPTIONS:",
"selectionType": "single",
"sections": [
{
"title": "Option #1 - Electronic Signature",
"selectionValue": "electronic",
"body": "I consent to transacting electronically, including receiving legally required notices electronically. I understand that KarmaCheck, Inc. uses computer technology to ensure that my signed documents are not altered after submission. I agree to allow KarmaCheck, Inc. to validate my signed documents in this way."
},
{
"title": "Option #2 - Manual Signature (will delay your start date)",
"selectionValue": "manual",
"body": "I <em><strong>do not</strong></em> wish to electronically sign my documents. I will print out and sign paper documents and return them to the Company. I understand this will delay the selection process."
}
]
}
}Get E-Signature
Retrieves an e-Signature consent document and form that can be presented to and acknowledged by the candidate as part of the onboarding process. If the candidate has already acknowledged it, the response will indicate this as well as provide the caseDataId of the acknowledgement, which can be used to retrieve details. These can be used to determine whether the candidate can skip this step if they leave and then continue their onboarding later or on another device, for example.
The e-Signature document can be customized. If a customer-specific version doesn’t exist, a default one will be returned.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the case.
Response
OK
True if the candidate already acknowledged the e-Signature document; false otherwise.
Escaped HTML.
Escaped HTML.
Escaped HTML.
Show child attributes
Show child attributes
Escaped HTML.
Returned only if alreadyAck is true.
Returned only if alreadyAck is true.
electronic, manual Returned only if alreadyAck is true. For candidates who onboarded using KarmaCheck's onboarding experience, this is the value that the candidate entered into the signature input field on the legal step, which might not be exactly the same as the name that the case was ordered under.